import { OptionType } from '@/components/input/SelectInput';
import * as Yup from 'yup';

export const AdjustmentFilterSchema = Yup.object().shape({
  product: Yup.object({
    value: Yup.string().nullable(),
    label: Yup.string().nullable(),
  }).nullable(),
  warehouse: Yup.object({
    value: Yup.string().nullable(),
    label: Yup.string().nullable(),
  }).nullable(),
  transaction_type: Yup.object({
    value: Yup.string().nullable(),
    label: Yup.string().nullable(),
  }).nullable(),
});

export type AdjustmentFilterType = {
  product?: OptionType<string>;
  warehouse?: OptionType<string>;
  transaction_type?: OptionType<string>;
};
